Subject: Re: Amanita muscaria

From: [email-masked] (Michael Clark)
Date: 10 Aug 1995 00:45:37 GMT

Tom Kempton wrote:
>I am trying to check on the validity of a request for collections of 
>huge quantities of Amanita muscaria for use by "Scientific Labratories"
>The request offered $50.00 per dryed pound and had real specific drying 
>requirements. Sounds suspicious, anyone know of any research going on 
>with this? Thanks in advance.

I agree it sounds very suspicious.  Ask what they want it for.  If they
want it as a source of muscimol or ibotenic acid, then refer them to
RBI (Research Biochemicals International, 1-800-736-3690 USA/Canada
only, I'm a neurobiologist and we do a fair amt of biz with them. 
They're very good).  They sell the purified compounds, and a legitimate
scientific lab will have no trouble buying them.  If they claim some
other use (i.e. I.D.-ing other compounds), I'd do a lit search to see
if they have anything published.  Hope this helps.

Michael Clark
University of Iowa